Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Interface Extendable

All Known Subinterfaces:
  SyndEntry, SyndFeed, SyndPerson

All Known Implementing Classes:
  Channel, Entry, Feed, Item, Person, SyndEntryImpl, SyndFeedImpl, SyndPersonImpl, WireFeed

    public interface Extendable

Objects that can have modules are Extendable.

Author:
  Dave Johnson

Method Summary
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List<Module>` | `getModules()` Returns the entry modules.
`void` | `setModules(List<Module> modules)` Sets the entry modules.

Method Detail

### getModule

    Module getModule(String uri)

  Returns the module identified by a given URI.

  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

### getModules

    List<Module> getModules()

  Returns the entry modules.

  Returns:
    a list of ModuleImpl elements with the entry modules, an empty list if none.

### setModules

    void setModules(List<Module> modules)

  Sets the entry modules.

  Parameters:
    `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.